unit SparkleVsEmbarcaderoMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Sphinx.Login, Sphinx.Utils, Bcl.Json.Classes,
   Sparkle.Http.Client, System.Net.URLClient,
  System.Net.HttpClientComponent, System.Net.HttpClient, Vcl.Samples.Spin,
  Vcl.ExtCtrls
  ;

type
  Tfrm_ShphinxLoginMain = class(TForm)
    Panel1: TPanel;
    edt_memo: TMemo;
    Panel2: TPanel;
    edt_url: TEdit;
    btn_delphi: TButton;
    btn_sparkle: TButton;
    procedure NetHTTPClient1RequestCompleted(const Sender: TObject;
      const AResponse: IHTTPResponse);
    procedure btn_delphiClick(Sender: TObject);
    procedure btn_sparkleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frm_ShphinxLoginMain: Tfrm_ShphinxLoginMain;

implementation

{$R *.dfm}

procedure Tfrm_ShphinxLoginMain.btn_delphiClick(Sender: TObject);
var
  Client: THttpClient;  // system.net.httpclient
  Response: IHttpResponse;
begin
  edt_memo.lines.clear;
  Client := THttpClient.Create;
  Response := Client.Get(edt_url.Text);
end;

procedure Tfrm_ShphinxLoginMain.btn_sparkleClick(Sender: TObject);
var
  Client: sparkle.Http.Client.THttpClient;      // sparkle.http.client
  Response: sparkle.Http.Client.THttpResponse;
begin
  edt_memo.lines.clear;
  Client := sparkle.Http.Client.THttpClient.Create();
  Response := Client.Get(edt_url.Text);
end;


procedure Tfrm_ShphinxLoginMain.NetHTTPClient1RequestCompleted(
  const Sender: TObject; const AResponse: IHTTPResponse);
begin
  edt_memo.Lines.Add(inttostr(AResponse.StatusCode));
end;

end.


