unit SparkleVsEmbarcadero;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Sphinx.Login, Sphinx.Utils, Bcl.Json.Classes,
   Sparkle.Http.Client, System.Net.URLClient,
  System.Net.HttpClientComponent, System.Net.HttpClient, Vcl.Samples.Spin,
  Vcl.ExtCtrls
  ;

type
  Tfrm_ShphinxLoginMain = class(TForm)
    Panel2: TPanel;
    edt_url: TEdit;
    btn_delphi: TButton;
    btn_sparkle: TButton;
    procedure btn_delphiClick(Sender: TObject);
    procedure btn_sparkleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frm_ShphinxLoginMain: Tfrm_ShphinxLoginMain;

implementation

{$R *.dfm}

procedure Tfrm_ShphinxLoginMain.btn_delphiClick(Sender: TObject);
var
  Client: THttpClient;  // system.net.httpclient
  Response: IHttpResponse;
begin
  if edt_url.Text<>'' then
  begin
    Client := THttpClient.Create;
    Response := Client.Get(edt_url.Text);
    if Response.StatusCode=200 then
      showmessage('Request called successfully.')
    else
      showmessage('Request called unsuccessfully. ('+inttostr(Response.StatusCode)+')');
  end;
end;

procedure Tfrm_ShphinxLoginMain.btn_sparkleClick(Sender: TObject);
var
  Client: sparkle.Http.Client.THttpClient;      // sparkle.http.client
  Response: sparkle.Http.Client.THttpResponse;
begin
  if edt_url.Text<>'' then
  begin
    Client := sparkle.Http.Client.THttpClient.Create();
    Response := Client.Get(edt_url.Text);
    if Response.StatusCode=200 then
      showmessage('Request called successfully.')
    else
      showmessage('Request called unsuccessfully. ('+inttostr(Response.StatusCode)+')');
  end;
end;


end.


